%define	name	tvtime
%define Name    TVtime
%define	version	0.9.12
%define release 2mdk
%define Summary High quality television application

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	%{Summary}
URL:		http://tvtime.net/
Source0:	%{name}-%{version}-nodlls.tar.bz2
Group:		Video
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	XFree86-devel
BuildRequires:	libxml2-devel
BuildRequires:	libpng-devel
BuildRequires:	freetype2-devel
BuildRequires:	libSDL-devel
		
%description
Tvtime is a high quality television application for use with video
capture cards.  tvtime processes the input from a capture card and
displays it on a computer monitor or projector.  Unlike other television
applications, tvtime focuses on high visual quality making it ideal for
videophiles.

  tvtime supports:

  o   Deinterlaced output at full interlaced rate of 59.94 frames per
      second for NTSC source, or 50 frames per second for PAL sources.
      This gives smoothness of motion and high visual quality.

  o   Multiple deinterlacing algorithms for finding the optimal mode for
      your video content and available processor speed.

  o   16:9 aspect ratio mode for the highest available resolution when
      processing input from an external DVD player or digital satellite
      receiver.

  o   A super-slick on-screen-display for the complete television
      experience, with a featureful menu system.

  o   2-3 Pulldown detection for optimal quality viewing of film content
      from NTSC sources.

For additional deinterlacers, get the tvtime-dscaler support package,
which includes two high quality motion adaptive deinterlacer algorithms
from the free windows application DScaler. It is available available
from the Penguin Liberation Front home page:
http://plf.zarb.org

%prep
%setup

%build
%configure
%make

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall ROOT=$RPM_BUILD_ROOT
# clean useless file
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/README.DScalerModules

# icons
install -D -m 644 docs/%{name}.48x48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png 
install -D -m 644 docs/%{name}.32x32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png 
install -D -m 644 docs/%{name}.16x16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
# menu entry
install -d -m 755 $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}):\
	command="%{_bindir}/%{name}"\
	needs="X11"\
	icon="%{name}.png"\
	section="Multimedia/Video"\
	title="%{Name}"\
	longtitle="%{Summary}"
EOF

%find_lang %{name}

%clean
rm -fr $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS ChangeLog COPYING INSTALL NEWS README
%doc data/COPYING.FreeMonoBold data/COPYING.tvtimeSansBold docs/html
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man5/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/tvtime.xml
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
# freedesktop stuff
%{_datadir}/applications/net-%{name}.desktop
%{_iconsdir}/hicolor/*/*/%{name}.png
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/pixmaps/%{name}.xpm

%changelog
* Thu Nov 27 2003 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.12-2mdk
- buildrequires libSDL-devel

* Tue Nov 25 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.12-1mdk
- new version

* Mon Nov 17 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.11-1mdk
- new version

* Sat Sep 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.10-3mdk
- included yet other missing doc files

* Sat Sep 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.10-2mdk
- dropped additional icons files, they are already present in tarball

* Sat Sep 13 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.10-1mdk
- 0.9.10
- removed included DScaler libraries
- updated description
- fixed menu entry  
- fixed URL
- fixed doc files
- used original icons
- added freedesktop files

* Fri Sep 05 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.9-1mdk
- 0.9.9

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 0.9.8.5-2mdk
- rebuild
- change summary macro to avoid possible conflicts if we were to build debug package

* Sat Jun 21 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.9.8.5-1mdk
- 0.9.8.5
- icon

* Fri May 09 2003 Laurent Culioli <laurent@pschit.net> 0.9.8.2-1mdk
- initial release
